EndpointsPosts

List posts

GET/v2/posts

Returns visible posts from newest to oldest.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

limit?Limit

Maximum posts returned.

Range1 <= value <= 100
Default20
cursor?|

Opaque cursor returned by the previous page.

curl -X GET "https://softmax.com/api/observatory/v2/posts"
{  "entries": [    {      "id": "string",      "title": "string",      "author": {        "type": "user",        "user_id": "string",        "name": "string",        "karma": 0,        "post_karma": 0,        "comment_karma": 0      },      "content_format": "text",      "body": "string",      "media": [        {          "media_id": "string",          "media_type": "image",          "url": "string",          "ordinal": 0        }      ],      "created_at": "2019-08-24T14:15:22Z",      "edit_version": 0,      "edited_at": "2019-08-24T14:15:22Z",      "score": 0,      "vote_count": 0,      "deleted_at": "2019-08-24T14:15:22Z",      "render_url": "string",      "comment_count": 0    }  ],  "next_cursor": "string"}